; MXMLIB
; Date			22th march 1998
; Libraryversion	1.11
;
; by MXM Projects
; Look at our homepage for new versions!
;
; http://members.vol.at/schoenach
;
; Bug reports and similar things send to us
; Please use this library, if you have savegames
; This should be a new standardformat, for better
; handling of savegames.
; You can also include this library to your own TI-92 Shell
; To David Ellsworth:
;  You could create a pseudofoldername, and there you could show the names.
;  If you want to, then I would offer you a utility, how to read the table of
;  the savegame!
; So I am ready for your Emails!
; Email:
; alexander.grutsch.htlr@schulen.vol.at

 
; The Library MXMLIB exports the following procedurs
; --------------------------------------------------

;------------------------------------------------------------------------------
; MXMLIB::MENU
; This creates a menu, like in MXMSAVE.
; In	D0.W	Coordinate X
;	D1.W	Coordinate Y
;	D2.W	Number of items in the menu
;	A0	Pointer to the menu
;	A1	Pointer to a menutitle ( NULL, if there isn't a title )
; Out	D0	Choice of the User
;		+Choice, if ENTER was pressed
;		-Choice, if ESC was pressed
;------------------------------------------------------------------------------
mxmlib::menu		equ mxmlib@0000

; MXMLIB supports also the using of savegames, which can be handled by MXMSAVE.
; Use this, for better use of memory, because the user can delete it seperate.
; Keys are used by a intern variable of MXMLIB. Store the key in your program.
; You can use this for loading or deleting savegames.

;------------------------------------------------------------------------------
; MXMLIB::NEWSAVEGAME
; This creates a new savegame
; In	D0.W	Size
;	A0	Pointer to a description ( 19 Characters + NULL )
; Out	D0.W	Key
;------------------------------------------------------------------------------
mxmlib::newsavegame	equ mxmlib@0001

;------------------------------------------------------------------------------
; MXMLIB::GETSAVEGAME
; Use this to load a savegame
; In	D0.W	Key
; Out	A0	Pointer to the memory ( NULL if it isn't availabel )
;------------------------------------------------------------------------------
mxmlib::getsavegame	equ mxmlib@0003

;------------------------------------------------------------------------------
; MXMLIB::DELETESAVEGAME
; Use this to delete a savegame and free some memory
; In	D0.W	Key
; Out	Nothing
;------------------------------------------------------------------------------
mxmlib::deletesavegame	equ mxmlib@0002

;------------------------------------------------------------------------------
; MXMLIB::SHOWSAVEGAMES
; This will display a menu in the top of the left corner.
; In	Nothing
; Out	D0.W	Key of the choosen one ( D0 <= 0 if there was an error )
; Notice: If there isn't any savegame, then curios things can happen. Controll
; this with the COUNTSAVEGAME function!
;------------------------------------------------------------------------------
mxmlib::showsavegames	equ mxmlib@0004

;------------------------------------------------------------------------------
; MXMLIB::GETNXT
; If you have a stringtable, then you can get the next one with this procedure.
; In	D6	Stringnumber ( First string is 0 )
;	A0	Pointer to the first string
; Out	A0	Pointer to the string
;------------------------------------------------------------------------------
mxmlib::getnxt		equ mxmlib@0005

;------------------------------------------------------------------------------
; MXMLIB::COUNTSAVEGAMES
; Counts the number of savegames
; In	Nothing
; Out	D0	Number of savegames
;------------------------------------------------------------------------------
mxmlib::countsavegames	equ mxmlib@0006

; MXMLIB has got some math functions
; This functions use fixpointnumbers. In Fixpointnumbers are some Bits used for
; the float part. Use this, to get the Integernumber
;
; divu.w #2048,<fixpoint>
;
; You can see, we use 11 bits for the floatpart!
; Some math function destroy D2 and A2!

;------------------------------------------------------------------------------
; MXMLIB::GETSIN
; Get the sinus of the angle / degree
; In	D1	Angle in degree (0-359)
; Out	D1	Fixpointnumber
;------------------------------------------------------------------------------
mxmlib::getsin		equ mxmlib@0007

;------------------------------------------------------------------------------
; MXMLIB::GETCOS
; Get the cosinus of the angle / degree
; In	D1	Angle in degree (0-359)
; Out	D1	Fixpointnumber
;------------------------------------------------------------------------------
mxmlib::getcos		equ mxmlib@0008

;------------------------------------------------------------------------------
; MXMLIB::MULSIN
; Multiplice a number with the sinus(x).
; In	D1	Angle in degree (0-359)
;	D2	Number (not fixpoint!)
; Out	D1	rounded integer
;------------------------------------------------------------------------------
mxmlib::mulsin		equ mxmlib@0009

;------------------------------------------------------------------------------
; MXMLIB::MULCOS
; Multiplice a number with the cosinus(x)
; In	D1	Angle in degree (0-359)
;	D2	Number (not fixpoint!)
; Out	D1	rounded integer
;------------------------------------------------------------------------------